Auto Extend Filter Range

SpreadJS supports extending the filter range automatically by adding data or using copy-paste, drag-fill, and drag-drop actions below a filter range.

AutoExtendFilterRange will extend the filter range automatically below the origin filter range until there are all null values in the filter range columns. AutoExtendFilterRange can only work in a normal worksheet filter, and will not work in table/pivotTable/tableSheet filter. You can disable/enable the auto extend filter range by using allowAutoExtendFilterRange, which is false (disabled) by default. When the allowAutoExtendFilterRange is true, users can get the extended filter range by rowFilter.extendedRange;
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function initSpread(spread) { var spreadNS = GC.Spread.Sheets; spread.suspendPaint(); _bindEvent(spread); var sheet = spread.getSheet(0); var headerStyle = new spreadNS.Style(); headerStyle.font = "bold 11pt Calibri" sheet.setStyle(1,1,headerStyle); sheet.setStyle(1,2,headerStyle); sheet.setStyle(1,3,headerStyle); sheet.setStyle(1,4,headerStyle); sheet.setColumnWidth(1, 120); sheet.setColumnWidth(2, 120); sheet.setColumnWidth(3, 120); sheet.setColumnWidth(4, 120); sheet.getCell(1, 1).text("First Name"); sheet.getCell(1, 2).text("Last Name"); sheet.getCell(1, 3).text("Score"); sheet.getCell(1, 4).text("Position"); sheet.getCell(2, 1).text("Alexa"); sheet.getCell(2, 2).text("Wilder"); sheet.getCell(2, 3).text("90"); sheet.getCell(2, 4).text("Web Developer"); sheet.getCell(3, 1).text("Victor"); sheet.getCell(3, 2).text("Wooten"); sheet.getCell(3, 3).text("70"); sheet.getCell(3, 4).text(".NET Developer"); sheet.getCell(4, 1).text("Ifeoma"); sheet.getCell(4, 2).text("Mays"); sheet.getCell(4, 3).text("85"); sheet.getCell(4, 4).text("Sales Manager"); var basedFilterRange = new spreadNS.Range(2,1,2,4); var rowFilter = new spreadNS.Filter.HideRowFilter(basedFilterRange); sheet.rowFilter(rowFilter); spread.resumePaint(); } function _bindEvent (spread) { _getElementById("allowAutoExtendFilterRange").addEventListener('change', function() { spread.options.allowAutoExtendFilterRange = _getElementById("allowAutoExtendFilterRange").checked; }); } function _getElementById(id){ return document.getElementById(id); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <p>Change the state of allowAutoExtendFilterRange and open the filter dialog to see how the filter range extend works.</p> <div class="option-group"> <input type="checkbox" id="allowAutoExtendFilterRange"/> <label for="allowAutoExtendFilterRange">Allow Auto Extend Filter Range</label> </div> </div> </div></body> </html>
.sample { position: relative; height: 100%; overflow: auto; } .sample::after { display: block; content: ""; clear: both; } .sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } .option-row { font-size: 14px; padding: 5px; margin-top: 10px; } .option-group { margin-bottom: 6px; } label { display: inline-block; min-width: 90px; margin-bottom: 6px; } select { padding: 4px 6px; } p { padding: 0 0 12px; margin: 0; } .options-toggle { display: none; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

AutoExtendFilterRange will extend the filter range automatically below the origin filter range until there are all null values in the filter range columns.
AutoExtendFilterRange can only work in a normal worksheet filter, and will not work in table/pivotTable/tableSheet filter.
You can disable/enable the auto extend filter range by using allowAutoExtendFilterRange, which is false (disabled) by default.
When the allowAutoExtendFilterRange is true, users can get the extended filter range by rowFilter.extendedRange;
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<p>Change the state of allowAutoExtendFilterRange and open the filter dialog to see how the filter range extend
works.</p>
<div class="option-group">
<input type="checkbox" id="allowAutoExtendFilterRange" v-bind:checked="isAllowAutoExtendFilterRange"
v-on:change="onAllowAutoExtendFilterRange" />
<label for="allowAutoExtendFilterRange">Allow Auto Extend Filter Range</label>
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
const spreadNS = GC.Spread.Sheets;
const spreadRef = ref(null);
const isAllowAutoExtendFilterRange = ref(false);
const initSpread = (spread) => {
spreadRef.value = spread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
var headerStyle = new spreadNS.Style();
headerStyle.font = "bold 11pt Calibri"
sheet.setStyle(1, 1, headerStyle);
sheet.setStyle(1, 2, headerStyle);
sheet.setStyle(1, 3, headerStyle);
sheet.setStyle(1, 4, headerStyle);
sheet.setColumnWidth(1, 120);
sheet.setColumnWidth(2, 120);
sheet.setColumnWidth(3, 120);
sheet.setColumnWidth(4, 120);
sheet.getCell(1, 1).text("First Name");
sheet.getCell(1, 2).text("Last Name");
sheet.getCell(1, 3).text("Score");
sheet.getCell(1, 4).text("Position");
sheet.getCell(2, 1).text("Alexa");
sheet.getCell(2, 2).text("Wilder");
sheet.getCell(2, 3).text("90");
sheet.getCell(2, 4).text("Web Developer");
sheet.getCell(3, 1).text("Victor");
sheet.getCell(3, 2).text("Wooten");
sheet.getCell(3, 3).text("70");
sheet.getCell(3, 4).text(".NET Developer");
sheet.getCell(4, 1).text("Ifeoma");
sheet.getCell(4, 2).text("Mays");
sheet.getCell(4, 3).text("85");
sheet.getCell(4, 4).text("Sales Manager");
var basedFilterRange = new spreadNS.Range(2, 1, 2, 4);
var rowFilter = new spreadNS.Filter.HideRowFilter(basedFilterRange);
sheet.rowFilter(rowFilter);
spread.resumePaint();
};
const onAllowAutoExtendFilterRange = (e) => {
let spread = spreadRef.value;
if (spread) {
try {
let checked = !isAllowAutoExtendFilterRange.value;
spread.options.allowAutoExtendFilterRange = checked;
isAllowAutoExtendFilterRange.value = checked;
} catch (ex) {
alert(!!ex.message ? ex.message : ex);
}
}
};
</script>
<style scoped>
#app {
height: 100%;
}
.sample {
position: relative;
height: 100%;
overflow: auto;
}
.sample::after {
display: block;
content: "";
clear: both;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.option-group {
margin-bottom: 6px;
}
label {
display: inline-block;
min-width: 90px;
margin-bottom: 6px;
}
select {
padding: 4px 6px;
}
p {
padding: 0 0 12px;
margin: 0;
}
.options-toggle {
display: none;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

AutoExtendFilterRange will extend the filter range automatically below the origin filter range until there are all null values in the filter range columns.
AutoExtendFilterRange can only work in a normal worksheet filter, and will not work in table/pivotTable/tableSheet filter.
You can disable/enable the auto extend filter range by using allowAutoExtendFilterRange, which is false (disabled) by default.
When the allowAutoExtendFilterRange is true, users can get the extended filter range by rowFilter.extendedRange;
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const GCsheets = GC.Spread.Sheets;
let spread = null;
export function AppFunc() {
const [isAllowAutoExtendFilterRange, setIsAllowAutoExtendFilterRange] = React.useState(false);
const initSpread = (currSpread) => {
spread = currSpread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
var headerStyle = new GCsheets.Style();
headerStyle.font = "bold 11pt Calibri"
sheet.setStyle(1, 1, headerStyle);
sheet.setStyle(1, 2, headerStyle);
sheet.setStyle(1, 3, headerStyle);
sheet.setStyle(1, 4, headerStyle);
sheet.setColumnWidth(1, 120);
sheet.setColumnWidth(2, 120);
sheet.setColumnWidth(3, 120);
sheet.setColumnWidth(4, 120);
sheet.getCell(1, 1).text("First Name");
sheet.getCell(1, 2).text("Last Name");
sheet.getCell(1, 3).text("Score");
sheet.getCell(1, 4).text("Position");
sheet.getCell(2, 1).text("Alexa");
sheet.getCell(2, 2).text("Wilder");
sheet.getCell(2, 3).text("90");
sheet.getCell(2, 4).text("Web Developer");
sheet.getCell(3, 1).text("Victor");
sheet.getCell(3, 2).text("Wooten");
sheet.getCell(3, 3).text("70");
sheet.getCell(3, 4).text(".NET Developer");
sheet.getCell(4, 1).text("Ifeoma");
sheet.getCell(4, 2).text("Mays");
sheet.getCell(4, 3).text("85");
sheet.getCell(4, 4).text("Sales Manager");
var basedFilterRange = new GCsheets.Range(2, 1, 2, 4);
var rowFilter = new GCsheets.Filter.HideRowFilter(basedFilterRange);
sheet.rowFilter(rowFilter);
spread.resumePaint();
}
const onAllowAutoExtendFilterRange = (e) => {
if (spread) {
try {
let checked = !isAllowAutoExtendFilterRange;
spread.options.allowAutoExtendFilterRange = checked;
setIsAllowAutoExtendFilterRange(checked);
} catch (ex) {
alert(!!ex.message ? ex.message : ex);
}
}
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<Panel
isAllowAutoExtendFilterRange={isAllowAutoExtendFilterRange}
onAllowAutoExtendFilterRange={(e) => { onAllowAutoExtendFilterRange(e) }}
/>
</div>
);
}
function Panel(props) {
return (
<div class="options-container">
<p>Change the state of allowAutoExtendFilterRange and open the filter dialog to see how the filter range extend works.</p>
<div class="option-group">
<input type="checkbox" id="allowAutoExtendFilterRange" checked={props.isAllowAutoExtendFilterRange} onChange={(e) => { props.onAllowAutoExtendFilterRange(e) }} />
<label for="allowAutoExtendFilterRange">Allow Auto Extend Filter Range</label>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const Component = React.Component;
const GCsheets = GC.Spread.Sheets;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.state = {
isAllowAutoExtendFilterRange: false
};
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<Panel
isAllowAutoExtendFilterRange={this.state.isAllowAutoExtendFilterRange}
onAllowAutoExtendFilterRange={(e) => { this.onAllowAutoExtendFilterRange(e) }}
/>
</div>
);
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
var headerStyle = new GCsheets.Style();
headerStyle.font = "bold 11pt Calibri"
sheet.setStyle(1, 1, headerStyle);
sheet.setStyle(1, 2, headerStyle);
sheet.setStyle(1, 3, headerStyle);
sheet.setStyle(1, 4, headerStyle);
sheet.setColumnWidth(1, 120);
sheet.setColumnWidth(2, 120);
sheet.setColumnWidth(3, 120);
sheet.setColumnWidth(4, 120);
sheet.getCell(1, 1).text("First Name");
sheet.getCell(1, 2).text("Last Name");
sheet.getCell(1, 3).text("Score");
sheet.getCell(1, 4).text("Position");
sheet.getCell(2, 1).text("Alexa");
sheet.getCell(2, 2).text("Wilder");
sheet.getCell(2, 3).text("90");
sheet.getCell(2, 4).text("Web Developer");
sheet.getCell(3, 1).text("Victor");
sheet.getCell(3, 2).text("Wooten");
sheet.getCell(3, 3).text("70");
sheet.getCell(3, 4).text(".NET Developer");
sheet.getCell(4, 1).text("Ifeoma");
sheet.getCell(4, 2).text("Mays");
sheet.getCell(4, 3).text("85");
sheet.getCell(4, 4).text("Sales Manager");
var basedFilterRange = new GCsheets.Range(2, 1, 2, 4);
var rowFilter = new GCsheets.Filter.HideRowFilter(basedFilterRange);
sheet.rowFilter(rowFilter);
spread.resumePaint();
}
onAllowAutoExtendFilterRange(e) {
let spread = this.spread;
if (spread) {
try {
let checked = !this.state.isAllowAutoExtendFilterRange;
spread.options.allowAutoExtendFilterRange = checked;
this.setState({ isAllowAutoExtendFilterRange: checked });
} catch (ex) {
alert(!!ex.message ? ex.message : ex);
}
}
}
}
class Panel extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="options-container">
<p>Change the state of allowAutoExtendFilterRange and open the filter dialog to see how the filter range extend works.</p>
<div class="option-group">
<input type="checkbox" id="allowAutoExtendFilterRange" checked={this.props.isAllowAutoExtendFilterRange} onChange={(e) => { this.props.onAllowAutoExtendFilterRange(e) }} />
<label for="allowAutoExtendFilterRange">Allow Auto Extend Filter Range</label>
</div>
</div>
);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample {
position: relative;
height: 100%;
overflow: auto;
}
.sample::after {
display: block;
content: "";
clear: both;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.option-group {
margin-bottom: 6px;
}
label {
display: inline-block;
min-width: 90px;
margin-bottom: 6px;
}
select {
padding: 4px 6px;
}
p {
padding: 0 0 12px;
margin: 0;
}
.options-toggle {
display: none;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

AutoExtendFilterRange will extend the filter range automatically below the origin filter range until there are all null values in the filter range columns.
AutoExtendFilterRange can only work in a normal worksheet filter, and will not work in table/pivotTable/tableSheet filter.
You can disable/enable the auto extend filter range by using allowAutoExtendFilterRange, which is false (disabled) by default.
When the allowAutoExtendFilterRange is true, users can get the extended filter range by rowFilter.extendedRange;
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
const GCsheets = GC.Spread.Sheets;
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
isAllowAutoExtendFilterRange = false;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
var sheet = spread.getSheet(0);
var headerStyle = new GCsheets.Style();
headerStyle.font = "bold 11pt Calibri"
sheet.setStyle(1,1,headerStyle);
sheet.setStyle(1,2,headerStyle);
sheet.setStyle(1,3,headerStyle);
sheet.setStyle(1,4,headerStyle);
sheet.setColumnWidth(1, 120);
sheet.setColumnWidth(2, 120);
sheet.setColumnWidth(3, 120);
sheet.setColumnWidth(4, 120);
sheet.getCell(1, 1).text("First Name");
sheet.getCell(1, 2).text("Last Name");
sheet.getCell(1, 3).text("Score");
sheet.getCell(1, 4).text("Position");
sheet.getCell(2, 1).text("Alexa");
sheet.getCell(2, 2).text("Wilder");
sheet.getCell(2, 3).text("90");
sheet.getCell(2, 4).text("Web Developer");
sheet.getCell(3, 1).text("Victor");
sheet.getCell(3, 2).text("Wooten");
sheet.getCell(3, 3).text("70");
sheet.getCell(3, 4).text(".NET Developer");
sheet.getCell(4, 1).text("Ifeoma");
sheet.getCell(4, 2).text("Mays");
sheet.getCell(4, 3).text("85");
sheet.getCell(4, 4).text("Sales Manager");
var basedFilterRange = new GCsheets.Range(2,1,2,4);
var rowFilter = new GCsheets.Filter.HideRowFilter(basedFilterRange);
sheet.rowFilter(rowFilter);
spread.resumePaint();
}
onAllowAutoExtendFilterRange() {
let spread = this.spread;
if (spread) {
try {
let checked = !this.isAllowAutoExtendFilterRange;
spread.options.allowAutoExtendFilterRange = checked;
this.isAllowAutoExtendFilterRange = checked;
} catch (ex) {
alert(!!ex.message ? ex.message : ex);
}
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<p>Change the state of allowAutoExtendFilterRange and open the filter dialog to see how the filter range extend works.</p>
<div class="option-group">
<input type="checkbox" id="allowAutoExtendFilterRange" [checked]="isAllowAutoExtendFilterRange" (change)="onAllowAutoExtendFilterRange()" />
<label for="allowAutoExtendFilterRange">Allow Auto Extend Filter Range</label>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.option-group {
margin-bottom: 6px;
}
label {
display: inline-block;
min-width: 90px;
margin-bottom: 6px;
}
select {
padding: 4px 6px;
}
p {
padding: 0 0 12px;
margin: 0;
}
.options-toggle {
display: none;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);